Bug 636290 - should support langpack fallbacks
should support langpack fallbacks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-21 16:30 EDT by Bill Nottingham
Modified: 2014-03-16 23:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 09:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-09-21 16:30:49 EDT
Description of problem:

FF ships some langpacks only in locale-specific form:

langpack-bn-BD@firefox.mozilla.org
langpack-bn-IN@firefox.mozilla.org

langpack-es-AR@firefox.mozilla.org
langpack-es-CL@firefox.mozilla.org
langpack-es-ES@firefox.mozilla.org
langpack-es-MX@firefox.mozilla.org

langpack-fy-NL@firefox.mozilla.org
langpack-ga-IE@firefox.mozilla.org

langpack-gu-IN@firefox.mozilla.org

langpack-hi-IN@firefox.mozilla.org

langpack-nb-NO@firefox.mozilla.org

langpack-nn-NO@firefox.mozilla.org

langpack-pa-IN@firefox.mozilla.org

langpack-pt-BR@firefox.mozilla.org
langpack-pt-PT@firefox.mozilla.org

langpack-sv-SE@firefox.mozilla.org

langpack-zh-CN@firefox.mozilla.org
langpack-zh-TW@firefox.mozilla.org

Given that some of these have other valid xx_<LOCALE> locales that firefox could be run in (example: es_US), firefox should ship a symlink that links from langpack-xx to a reasonable langpack-xx-YY fallback.

Version-Release number of selected component (if applicable):

firefox-3.6.7-1.fc14.x86_64
Comment 1 Martin Stransky 2010-09-22 07:28:31 EDT
Okay, but we need a map table to choose which one is a default if there are more than one possibility.
Comment 2 Iván Jiménez 2011-01-19 21:17:52 EST
Any progress on this? It's making fedora looks less polished than ubuntu, where it doesn't happen.
Comment 3 Martin Stransky 2011-01-20 07:04:55 EST
I'll check it.

Note You need to log in before you can comment on or make changes to this bug.